Subject: [tcpm] Minutes become final tomorrow

From: Ted Faber <[email-masked]>
Date: Thu, 8 Dec 2005 14:36:24 -0800

The minutes at http://www3.ietf.org/proceedings/05nov/minutes/tcpm.txt
become final tomorrow.  If you haven't looked, please do.

-- 
Ted Faber
http://www.isi.edu/~faber           PGP: http://www.isi.edu/~faber/pubkeys.asc
Unexpected attachment on this mail? See http://www.isi.edu/~faber/FAQ.html#SIG
_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm

---

From: Fernando Gont <[email-masked]>
Date: Fri, 09 Dec 2005 04:10:40 -0800

A comment on the minutes:

>   Touch: like the concept of this doc; but this current draft is spun
>   wrong; wish the doc highlighted checking checksum, window,
>   signature; need to be specific about not checking window when saying
>   discussing staleness
>
>     Fernando: current specs don't require including full packet to
>     allow checking checksum and MD5 sig; *that's* the point
>
>     Touch: then why do you think you can parse a TCP header if there
>     is no valid checksum?

My answer to Joe's question was that it's more conservative to perform as 
many checks as possible on the received ICMP message (even if you were not 
able to check the checksum) than to simply honor the ICMP message without 
performing these checks. (It's not that it's the best thing you could 
do.... but for most ICMP messages you won't be able to check the checksum).

Kindest regards,

--
Fernando Gont
e-mail: [email-masked] || [email-masked]

---

From: Ted Faber <[email-masked]>
Date: Fri, 9 Dec 2005 10:15:57 -0800

> do.... but for most ICMP messages you won't be able to check the checksum).

Changed.  Hopefully that will get in under the deadline.